#!/bin/sh

/bin/rm -f doc/nws.client.txt doc/nws.client.html doc/nws.sleigh.txt doc/nws.sleigh.html
/bin/rm -f MANIFEST dist/nwsclient-*.tar.gz dist/nwsclient-*.rpm

echo "Warning: Make sure you install NetWorkSpaces are this machine before"
echo "running this script.  Otherwise the documentation may not be up-to-date"

(cd doc && pydoc nws.client > nws.client.txt)
(cd doc && pydoc nws.sleigh > nws.sleigh.txt)
(cd doc && pydoc -w nws.client)
(cd doc && pydoc -w nws.sleigh)

python setup.py sdist --format=gztar
python setup.py bdist --format=rpm
